
@CHARSET "ISO-8859-1";
@import "carrier.css";
@font-face{
	font-family: "Poppins";
	src: url('fonts/Poppins/Poppins-Light.ttf');
}

@font-face{
	font-family: "Istok Web";
	src: url('fonts/Istok_Web/IstokWeb-Regular.ttf');
}

:focus{
	outline-color: rgb(35, 71, 143);
}

h1, h2, h3, h4, h5, h6{
	font-family: "Poppins", sans-serif;
}
#main p {
	font-family: "Istok Web", sans-serif;
	font-weight: 400;
}
#login {
	font-family: Helvetica, Arial, sans-serif;
}

#layout-container {
	width: 100%;
	height: 100%;
	display: grid;
	grid-template: auto 1fr auto / 1fr;
	grid-template-areas:
		"header"
		"center"
		"footer";
/* 	background-color: rgb(35,71,143); */
/* 	background: linear-gradient(to bottom, #3f51b5 0%, rgba(35,71,143,1) 50%); */
/* 	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23); */
}
#header{
	grid-area: header;
	background-color: var(--background-color);
/* 	border-bottom: 2px solid var(--primary-color); */
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
	
	display: flex;
}
#carrierLogo {
	display: block; 
	text-align: right;
	width: 100%;
}
#center {
	overflow: auto;
	position: relative;
	grid-area: center;
/* 	background-color: var(--primary-color); */
/* 	background-color: var(--background-color); */
	
	display: flex;
	justify-content: center;
	align-items: center;
}
#center::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
/* 	background-image: url(https://upload.wikimedia.org/wikipedia/commons/8/82/Grand_H%C3%A9ron_%28Ardea_herodias%29.jpg); */
	background-image: url("img/GranHeron-LaurentSilvani.jpg");
	background-position: 50% 50%;
	background-position: calc(50% + 0px) calc(50% + 0px);
	filter: opacity(40%);
	z-index: -1;
}
#footer {
	height: 64px;
	grid-area: footer;
	background-color: var(--background-color);
/* 	border-top: 2px solid var(--primary-color); */
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}
#centered-container {
	display: flex;
	flex-direction: column;
}

#centered-header {
	display: none;
}

#credit-container {
	position: absolute;
	bottom: 5px;
	right: 10px;
}

#credit-header {
	cursor: pointer;
	text-transform: uppercase;
	font-size: x-small;
	color: #555555;
}

#credit-header #collapse-indicator,
#credit-header #expand-indicator {
	display: none;
}

.collapsed #credit-header:hover #collapse-indicator,
.expanded #credit-header:hover #expand-indicator {
	display: none;
}

.collapsed #credit-header:hover #expand-indicator,
.expanded #credit-header:hover #collapse-indicator {
	display: inline-block;
}

#credit-details-container{
	transition: height 0.5s;
	overflow:hidden;
}

.collapsed #credit-details-container {
	height: 0px;
}

.expanded #credit-details-container {
	height: 40px;
}

#credit-details-container {
	text-transform: uppercase;
	font-size: x-small;
}

#coLogo {
	float: left;
	position: absolute;
/* 	clip-path: inset(0 0 3px 0); */
	padding: 4px 0 0 5px;
}

#login-wrapper {
	background-color: var(--primary-color);
/* 	background-color: var(--background-color); */
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

#login{
	padding: 20px;
	margin: 0px;
	background-color: var(--background-color);
}
#loginForm{
}

#username-field {
	
}

#password-field {
	
}

#login .form-field,
#login .g-recaptcha {
	margin: 0 0 20px 0;
}

#login .form-field label {
	display: block;
	margin: 0 0 5px 0;
}

#login .form-field input {
	box-sizing : border-box;
	width: 100%;
	padding: 10px;
	border-radius: 4px;
	border: 1px solid var(--secondary-color);
	transition: border 0.2s, color 0.2s, background 0.2s, box-shadow 0.2s;
}

#login .form-field input:hover {
	box-shadow: inset 0 0 2px var(--primary-color);
/* 	border-color: var(--primary-color); */
}

#login .form-field input:focus {
/* 	box-shadow: inset 0 0 5px var(--primary-color); */
	outline: none;
	border-color: var(--primary-color);
}

#login button {
	border: 1px solid var(--secondary-color);
	padding: 10px;
	background-color: white;
	border-radius: 4px;
	cursor: pointer;
	font-weight: normal;
	font-size: medium;
	transition: border 0.2s, color 0.2s, background 0.2s, box-shadow 0.2s;
}
#login button:disabled {
	opacity: 20%;
}
#login button:hover:not([disabled]) {
	background-color: #f2f2f2;
}
#login button:focus {
	outline: none;
}
#login button:active {
	background-color: var(--secondary-color);
}
#WelcomeText {
}	 */
.WelcomeError{
	color: red;
	margin: 0px 5px;
}

#powered-container {
	margin: 5px 0 5px 20px;
	display: grid;
	grid-template: auto auto / auto auto;
	grid-template-areas:
		"top top"
		"logo system";
	grid-gap: 5px;
	align-items: center;
	justify-content: left;
}

#powered-container #powered-by-text {
	grid-area: top;
	text-transform: uppercase;
	font-size: x-small;
	color: #555555;
}

#powered-container #lps-logo {
	grid-area: logo;
}

#powered-container #system {
	grid-area: system;
	text-transform: uppercase;
	font-weight:bold;
	font-size: 30px;
	color: rgb(35,71,143);
}